<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Sun Feb 12 09:57:47 AST 2017 -->
<title>L-Index</title>
<meta name="date" content="2017-02-12">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="L-Index";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">O</a>&nbsp;<a href="index-9.html">P</a>&nbsp;<a href="index-10.html">Q</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">T</a>&nbsp;<a name="_L_">
<!--   -->
</a>
<h2 class="title">L</h2>
<dl>
<dt><span class="strong"><a href="../Interface/Deque.html#lastElement()">lastElement()</a></span> - Method in interface Interface.<a href="../Interface/Deque.html" title="interface in Interface">Deque</a></dt>
<dd>
<div class="block">Returns last element of deque</div>
</dd>
<dt><span class="strong"><a href="../Queue/ArrayDeque.html#lastElement()">lastElement()</a></span> - Method in class Queue.<a href="../Queue/ArrayDeque.html" title="class in Queue">ArrayDeque</a></dt>
<dd>
<div class="block">Returns last element of deque</div>
</dd>
<dt><span class="strong"><a href="../Queue/LinkedListDeque.html#lastElement()">lastElement()</a></span> - Method in class Queue.<a href="../Queue/LinkedListDeque.html" title="class in Queue">LinkedListDeque</a></dt>
<dd>
<div class="block">Returns last element of deque</div>
</dd>
<dt><span class="strong"><a href="../Stack/ArrayStack.html#lastElement()">lastElement()</a></span> - Method in class Stack.<a href="../Stack/ArrayStack.html" title="class in Stack">ArrayStack</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../Stack/LinkedListStack.html#lastElement()">lastElement()</a></span> - Method in class Stack.<a href="../Stack/LinkedListStack.html" title="class in Stack">LinkedListStack</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../Queue/LinkedListDeque.html" title="class in Queue"><span class="strong">LinkedListDeque</span></a>&lt;<a href="../Queue/LinkedListDeque.html" title="type parameter in LinkedListDeque">E</a>&gt; - Class in <a href="../Queue/package-summary.html">Queue</a></dt>
<dd>
<div class="block">This Generic class implements Deque interface and contains various methods for manipulating Deque using Generic Array (such as
 two way insert and delete).</div>
</dd>
<dt><span class="strong"><a href="../Queue/LinkedListDeque.html#LinkedListDeque()">LinkedListDeque()</a></span> - Constructor for class Queue.<a href="../Queue/LinkedListDeque.html" title="class in Queue">LinkedListDeque</a></dt>
<dd>
<div class="block">Initializes an Linked Lists</div>
</dd>
<dt><a href="../Testing/LinkedListDequeTest.html" title="class in Testing"><span class="strong">LinkedListDequeTest</span></a> - Class in <a href="../Testing/package-summary.html">Testing</a></dt>
<dd>
<div class="block">Represents JUNIT test class for Linked List implementation of Deque</div>
</dd>
<dt><span class="strong"><a href="../Testing/LinkedListDequeTest.html#LinkedListDequeTest()">LinkedListDequeTest()</a></span> - Constructor for class Testing.<a href="../Testing/LinkedListDequeTest.html" title="class in Testing">LinkedListDequeTest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../Stack/LinkedListStack.html" title="class in Stack"><span class="strong">LinkedListStack</span></a>&lt;<a href="../Stack/LinkedListStack.html" title="type parameter in LinkedListStack">E</a>&gt; - Class in <a href="../Stack/package-summary.html">Stack</a></dt>
<dd>
<div class="block">This Generic class implements Deque interface and contains various methods for manipulating Stack using Linked List.</div>
</dd>
<dt><span class="strong"><a href="../Stack/LinkedListStack.html#LinkedListStack()">LinkedListStack()</a></span> - Constructor for class Stack.<a href="../Stack/LinkedListStack.html" title="class in Stack">LinkedListStack</a></dt>
<dd>
<div class="block">Initializes an Linked Lists</div>
</dd>
<dt><a href="../Testing/LinkedListStackTest.html" title="class in Testing"><span class="strong">LinkedListStackTest</span></a> - Class in <a href="../Testing/package-summary.html">Testing</a></dt>
<dd>
<div class="block">Represents JUNIT test class for linked list implementation of stack</div>
</dd>
<dt><span class="strong"><a href="../Testing/LinkedListStackTest.html#LinkedListStackTest()">LinkedListStackTest()</a></span> - Constructor for class Testing.<a href="../Testing/LinkedListStackTest.html" title="class in Testing">LinkedListStackTest</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">O</a>&nbsp;<a href="index-9.html">P</a>&nbsp;<a href="index-10.html">Q</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">T</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
